using System;

internal sealed class Delegate42 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate42 delegate42_1)
	{
		return delegate42_1();
	}

	public extern Delegate42(object object_0, IntPtr intptr_0);

	static Delegate42()
	{
		Class10.smethod_13(typeof(Delegate42).TypeHandle);
	}

	internal static Delegate42 delegate42_0;
}
